
import 'dart:async';

import 'package:flutter/services.dart';

class AssistivePlugin {
  static const MethodChannel _channel = MethodChannel('plugins.flutter.io/assistive_plugin');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<dynamic> get checkForAssibility async {
    var version = await _channel.invokeMethod('checkForAssibility');
    return version;
  }

  static Future<dynamic> get takeScreenshot async {
    var version = await _channel.invokeMethod('takeScreenShot');
    return version;
  }
}
